﻿@using Microsoft.AspNet.Identity
@{
    var controller = HttpContext.Current.Request.RequestContext.RouteData.Values["controller"].ToString().ToLower();
}
<nav class="navbar navbar-default navbar-top">
    <div class="container">
        <div class="col-md-12">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header page-scroll">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="@Url.Action("Index", "Home")"><img src="/Content/images/logo-white-text.png"></a>
                <a class="navbar-brand beta" href="@Url.Action("Index", "Home")">Beta</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                   @if (controller == "home")
                   { 
                    <li><a class="page-scroll" href="#intro">Home</a></li>
                    <li><a class="page-scroll" href="#map">@SYM.Localization.Resources.Views.Home.Home.Link_Map</a></li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">@SYM.Localization.Resources.Views.Home.Home.Link_Project<b class="caret"></b></a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDrop1">
                            <li><a href="@Url.Action("Index", "project")#database">Database</a></li>
                            <li><a href="@Url.Action("Index", "project")#experience">Experience</a></li>
                            <li><a href="@Url.Action("Index", "project")#discovery">Discovery</a></li>
                        </ul>
                    </li>
                   }
                   else if (controller == "project")
                   {
                    <li><a class="page-scroll" href="@Url.Action("Index", "Home")#intro">Home</a></li>
                    <li><a class="page-scroll" href="@Url.Action("Index", "Home")#map">@SYM.Localization.Resources.Views.Home.Home.Link_Map</a></li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">@SYM.Localization.Resources.Views.Home.Home.Link_Project<b class="caret"></b></a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDrop1">
                            <li><a class="page-scroll" href="#database">Database</a></li>
                            <li><a class="page-scroll" href="#experience">Experience</a></li>
                            <li><a class="page-scroll" href="#discovery">Discovery</a></li>
                        </ul>
                    </li>
                   }
                   <li><a href="@Url.Action("Search", "mountain")">@SYM.Localization.Resources.Views.Home.Home.Link_Mountains</a></li>
                   <li><a href="@Url.Action("Index", "gallery")">Gallery</a></li>
                   @if (Request.IsAuthenticated)
                   {
                        <li class="dropdown">
                            <a href="#" id="navbarDrop1" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">@User.Identity.GetUserName()<span class="caret"></span></a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDrop1">
                                <li>
                                    <a href="@Url.Action("Index", "profile")">
                                        <i class="icon-user"></i> @SYM.Localization.Resources.Global.Topbar_Profile
                                    </a>
                                </li>
                                <li>
                                    <a href="@Url.Action("adventureList", "profile")">
                                        <i class="icon-user"></i> @SYM.Localization.Resources.Global.Topbar_MyAdventure
                                    </a>
                                </li>
                                <li>
                                    <a href="@Url.Action("index", "community")">
                                        <i class="icon-users"></i> Community
                                    </a>
                                </li>
                                <li role="separator" class="divider"></li>
                                <li>
                                    <a href="javascript:document.getElementById('logoutForm').submit()">
                                        <i class="icon-key"></i> Log Out
                                    </a>
                                </li>
                                @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm" }))
                                {
                                    @Html.AntiForgeryToken()
                                }
                            </ul>
                        </li>
                   }
                   else
                   {
                       <li><a href="@Url.Action("login", "account")" target="_blank">Login</a></li>
                   }
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
    </div>
</nav>